> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Business

> **Scopes:** `business:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}:
    get:
      tags:
        - Business
      summary: Retrieve a Business
      description: '**Scopes:** `business:read`'
      operationId: get_business_v0_business__business_id__get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessSuccess'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - business:read
components:
  schemas:
    BusinessSuccess:
      properties:
        data:
          $ref: '#/components/schemas/BusinessPublic'
      type: object
      required:
        - data
      title: BusinessSuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    BusinessPublic:
      properties:
        tenant_id:
          type: string
          format: ten_string
          title: Tenant Id
          description: The id of the Tenant
          examples:
            - ten_Vl1a3f7JlZ9pZ5hL2wNfLn
        name:
          type: string
          maxLength: 255
          title: Name
          description: The name of the Business
          examples:
            - Roofing Pros
        industry:
          anyOf:
            - type: string
            - type: 'null'
          title: Industry
          description: The industry of the Business
          examples:
            - Roofing Contractors
        entries_start:
          type: string
          format: date-time
          title: Entries Start
          description: >-
            The datetime in UTC ISO 8601 format from which the system will sync
            a Business' accounting data
        entity_type:
          anyOf:
            - $ref: '#/components/schemas/USBusinessEntityType'
            - $ref: '#/components/schemas/CanadaBusinessEntityType'
          title: Entity Type
          description: >-
            The Business structure, which determines the default Chart of
            Accounts
        fiscal_year:
          type: string
          maxLength: 5
          title: Fiscal Year
          description: The Business' fiscal year start period in format MM/DD
          examples:
            - 01/01
        status:
          $ref: '#/components/schemas/BusinessStatus'
          description: Whether the business is active or inactive
          default: active
        external_id:
          type: string
          maxLength: 255
          title: External Id
          description: The external ID of the Business
          examples:
            - '1234567890'
        onboarding_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Onboarding Date
          description: The date the business was onboarded
        plan:
          $ref: '#/components/schemas/BusinessPlan'
          description: The Business plan
          default: managed
        id:
          type: string
          format: biz_string
          title: Id
          description: The id of the Business
          examples:
            - biz_GA6EG2qFxA97NZHtxeLPUy
        assigned_bookkeeper:
          anyOf:
            - type: string
              format: usr_string
            - type: 'null'
          title: Assigned Bookkeeper
          description: The id of the bookkeeper assigned to this business, if any
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
          description: Phone number for MMS receipt ingestion (E.164 format)
        country:
          $ref: '#/components/schemas/BusinessCountry'
          description: The country of the Business
          default: united_states
          examples:
            - united_states
        region:
          anyOf:
            - $ref: '#/components/schemas/CanadaRegion'
            - $ref: '#/components/schemas/USRegion'
            - type: 'null'
          title: Region
          description: The region of the Business, such as a state or province
          examples:
            - california
        canada_gst_registered:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Canada Gst Registered
          description: Whether the Business is registered for GST/HST
        canada_tax_status:
          anyOf:
            - $ref: '#/components/schemas/CanadaTaxStatus'
            - type: 'null'
          description: The Canadian tax status of the Business
          examples:
            - itc_eligible
      type: object
      required:
        - tenant_id
        - name
        - industry
        - entries_start
        - entity_type
        - fiscal_year
        - external_id
        - id
      title: BusinessPublic
    USBusinessEntityType:
      type: string
      enum:
        - c-corp
        - llc
        - partnership
        - s-corp
        - sole-prop
        - household
        - non-profit
      title: USBusinessEntityType
    CanadaBusinessEntityType:
      type: string
      enum:
        - canada-corporation
        - canada-partnership
        - canada-sole-prop
        - canada-not-for-profit
      title: CanadaBusinessEntityType
    BusinessStatus:
      type: string
      enum:
        - active
        - inactive
      title: BusinessStatus
    BusinessPlan:
      type: string
      enum:
        - diy
        - managed
      title: BusinessPlan
    BusinessCountry:
      type: string
      enum:
        - canada
        - united_states
      title: BusinessCountry
    CanadaRegion:
      type: string
      enum:
        - alberta
        - british_columbia
        - manitoba
        - new_brunswick
        - newfoundland_and_labrador
        - northwest_territories
        - nova_scotia
        - nunavut
        - ontario
        - prince_edward_island
        - quebec
        - saskatchewan
        - yukon
      title: CanadaRegion
    USRegion:
      type: string
      enum:
        - alabama
        - alaska
        - arizona
        - arkansas
        - california
        - colorado
        - connecticut
        - delaware
        - district_of_columbia
        - florida
        - georgia
        - hawaii
        - idaho
        - illinois
        - indiana
        - iowa
        - kansas
        - kentucky
        - louisiana
        - maine
        - maryland
        - massachusetts
        - michigan
        - minnesota
        - mississippi
        - missouri
        - montana
        - nebraska
        - nevada
        - new_hampshire
        - new_jersey
        - new_mexico
        - new_york
        - north_carolina
        - north_dakota
        - ohio
        - oklahoma
        - oregon
        - pennsylvania
        - rhode_island
        - south_carolina
        - south_dakota
        - tennessee
        - texas
        - utah
        - vermont
        - virginia
        - washington
        - west_virginia
        - wisconsin
        - wyoming
      title: USRegion
    CanadaTaxStatus:
      type: string
      enum:
        - itc_eligible
        - exempt
      title: CanadaTaxStatus
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````